gRPC C#
gRPC C#
Namespaces
Grpc.Core
RpcException Class
RpcException Constructor
RpcException Properties
RpcException Methods
RpcException Events

RpcException Class

Thrown when remote procedure call fails. Every RpcException is associated with a resulting Status of the call.
Inheritance Hierarchy
System
Object
System
Exception
Grpc.Core
RpcException

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class RpcException : Exception

    Public Class RpcException
    	Inherits Exception

    public ref class RpcException : public Exception

    type RpcException =
        class
            inherit Exception
        end

The RpcException type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| RpcException(Status) | Creates a new RpcException associated with given status.
| RpcException(Status, String) | Creates a new RpcException associated with given status and message.

Top
Properties

| Name | Description
--- | --- | ---
| Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
| HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
| HResult | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception. (Inherited from Exception.)
| InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
| Message | Gets a message that describes the current exception. (Inherited from Exception.)
| Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
| StackTrace | Gets a string representation of the immediate frames on the call stack. (Inherited from Exception.)
| Status | Resulting status of the call.
| TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
| GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)

Top
Events

| Name | Description
--- | --- | ---
| SerializeObjectState | Occurs when an exception is serialized to create an exception state object that contains serialized data about the exception. (Inherited from Exception.)

Top
See Also

#### Reference

Grpc.Core Namespace